import type { ConfigServiceInterface } from '../config';
import type { Handler } from 'aws-lambda';
import type { AsyncHandler, LambdaInterface, SyncHandler } from '@aws-lambda-powertools/commons';
type TracerOptions = {
    enabled?: boolean;
    serviceName?: string;
    captureHTTPsRequests?: boolean;
    customConfigService?: ConfigServiceInterface;
};
type CaptureLambdaHandlerOptions = {
    captureResponse?: boolean;
};
type CaptureMethodOptions = {
    subSegmentName?: string;
    captureResponse?: boolean;
};
type HandlerMethodDecorator = (target: LambdaInterface, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<SyncHandler<Handler>> | TypedPropertyDescriptor<AsyncHandler<Handler>>) => void;
type MethodDecorator = (target: any, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<any>) => any;
export { TracerOptions, CaptureLambdaHandlerOptions, CaptureMethodOptions, HandlerMethodDecorator, MethodDecorator, };
//# sourceMappingURL=Tracer.d.ts.map